fbpx
BACK
Skip to content

What are the system requirements?

The firmware design requires Windows 7 or later or MAC OS 10.11.6 or later versions. Your WAVE 1 package includes a designated USB 2.0 cord (USB “A” to USB Micro “B”) which must connect to your computer to access the WAVE Assistant App. The device does not ship with an Apple USB-C to USB adapter.

PUT MORE SPRING IN YOUR SPRING WITH NIKKI

Get back to action with the wearable designed to optimize wellness